%define anolis_release 16
Name: libdaemon
Version: 0.14
Release: %{anolis_release}%{?dist}
Summary: Library for writing UNIX daemons
Group: System Environment/Libraries
License: LGPLv2+
URL: http://0pointer.de/lennart/projects/libdaemon/
Source0: http://0pointer.de/lennart/projects/libdaemon/%{name}-%{version}.tar.gz

# Requires lynx to build the docs
BuildRequires:  lynx

%description
libdaemon is a lightweight C library which eases the writing of UNIX daemons.
It consists of the following parts:
* A wrapper around fork() which does the correct daemonization
  procedure of a process
* A wrapper around syslog() for simpler and compatible log output to
  Syslog or STDERR
* An API for writing PID files
* An API for serializing UNIX signals into a pipe for usage with
  select() or poll()
* An API for running subprocesses with STDOUT and STDERR redirected
  to syslog.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Group: Development/Libraries
Summary: Libraries and header files for libdaemon development
Requires: %{name} = %{version}-%{release}

%description devel
The libdaemon-devel package contains the header files and libraries
necessary for developing programs using libdaemon.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

rm $RPM_BUILD_ROOT/%{_datadir}/doc/libdaemon/README
rm $RPM_BUILD_ROOT/%{_datadir}/doc/libdaemon/README.html
rm $RPM_BUILD_ROOT/%{_datadir}/doc/libdaemon/style.css

%files
%license LICENSE
%{_libdir}/*so.*

%files doc
%doc README

%files devel
%doc doc/README.html doc/style.css
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Jan 1 2023 Funda Wang <fundawang@yeah.net> - 0.14-16
- Bump release for upgrading from anolis 8

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.14-2
- add doc package

* Thu Mar 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.14-1
- Init from upstream version  0.14

